# Homework

Represents a homework assignment on SMHW.

## Constructor

#### new Homework(client, response)

Instantiate a Homework object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating the object.
`response` | Object | The data for the object.

Source:
  - structures/Homework.js, line 14

### Members

#### bookstore_content_ids :Array.<Number>

Type:

- Array.<Number>

Source:
  - structures/Homework.js, line 20

#### duration :String

The duration of the homework.

Type:

- String

Source:
  - structures/Homework.js, line 26

#### duration_units :String

The duration units of the homework.

Type:

- String

Source:
  - structures/Homework.js, line 32

#### marking_scheme_id :Number

The ID of the marking scheme used for the homework.

Type:

- Number

Source:
  - structures/Homework.js, line 37

#### submission_type :String

The name of the submission method to use.

Type:

- String

Source:
  - structures/Homework.js, line 43

#### type :String

The assignment type.

Type:

- String

Source:
  - structures/Homework.js, line 49

### Methods

#### getSubmission() → {Promise.<HomeworkSubmission>}

Get the client user's submission to the homework.

Source:
  - structures/Homework.js, line 56

Returns:

Type
  Promise.<HomeworkSubmission>

#### getSubmissionComments(idsopt) → {Promise.<Array.<HomeworkSubmissionComment>>}

Get comments made on homework submissions.

Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`ids` | Array.<Number> | <optional> | The IDs of the submission comments to retrieve.

Source:
  - structures/Homework.js, line 74

Returns:

Type
  Promise.<Array.<HomeworkSubmissionComment>>

#### getSubmissions(idsopt) → {Promise.<Array.<HomeworkSubmissions>>}

Get submissions to the homework.

Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`ids` | Array.<Number> | <optional> | The IDs of the homework submissions to retrieve.

Source:
  - structures/Homework.js, line 65

Returns:

Type
  Promise.<Array.<HomeworkSubmissions>>